GEOS: geos::GeometryCollection Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::GeometryCollection Class Reference

Represents a collection of heterogeneous Geometry objects. More...

`#include <geos.h>`

Inheritance diagram for geos::GeometryCollection:

List of all members.

## Public Member Functions
| GeometryCollection (vector< Geometry * > *newGeoms, const GeometryFactory *newFactory)
| Construct a GeometryCollection with the given GeometryFactory. Will keep a reference to the factory, so don't delete it until al Geometry objects referring to it are deleted. Will take ownership of the Geometry vector.
virtual Geometry * | clone () const
| Make a deep-copy of this Geometry.
virtual CoordinateSequence * | getCoordinates () const
| Collects all coordinates of all subgeometries into a CoordinateSequence.
virtual bool | isEmpty () const
| Returns whether or not the set of points in this Geometry is empty.
virtual int | getDimension () const
| Returns the maximum dimension of geometries in this collection (0=point, 1=line, 2=surface).
virtual Geometry * | getBoundary () const
| Returns the boundary, or the empty geometry if this Geometry is empty.
virtual int | getBoundaryDimension () const
| Returns the maximum boundary dimension of geometries in this collection.
virtual int | getNumPoints () const
| Returns the count of this Geometrys vertices.
virtual string | getGeometryType () const
| Return a string representation of this Geometry type.
virtual GeometryTypeId | getGeometryTypeId () const
| Return an integer representation of this Geometry type.
virtual bool | isSimple () const
| Returns false if the Geometry not simple.
virtual bool | equalsExact (const Geometry *other, double tolerance) const
| Returns true if the two Geometrys are exactly equal, up to a specified tolerance.
virtual void | normalize ()
| Converts this Geometry to normal form (or canonical form).
virtual const Coordinate * | getCoordinate () const
| Returns a vertex of this Geometry.
virtual double | getArea () const
| Returns the total area of this collection.
virtual double | getLength () const
| Returns the total length of this collection.
virtual int | getNumGeometries () const
| Returns the number of geometries in this collection.
virtual const Geometry * | getGeometryN (int n) const
| Returns a pointer to the nth Geometry int this collection.

## Detailed Description

Represents a collection of heterogeneous Geometry objects.

Collections of Geometry of the same type are represented by GeometryCollection subclasses MultiPoint, MultiLineString, MultiPolygon.

## Constructor & Destructor Documentation

geos::GeometryCollection::GeometryCollection | ( | vector< Geometry * > * | newGeoms,
|  | const GeometryFactory * | factory |
| ) |  |  |

Construct a GeometryCollection with the given GeometryFactory. Will keep a reference to the factory, so don't delete it until al Geometry objects referring to it are deleted. Will take ownership of the Geometry vector.

Parameters:

  | newGeoms | The `Geometry`s for this `GeometryCollection`, or `null` or an empty array to create the empty geometry. Elements may be empty `Geometry`s, but not `null`s.

If construction succeed the created object will take ownership of newGeoms vector and elements.

If construction fails "IllegalArgumentException *" is thrown and it is your responsibility to delete newGeoms vector and content.

Parameters:

  | newFactory | the GeometryFactory used to create this geometry
  | newGeoms | the `Geometry`s for this `GeometryCollection`, or `null` or an empty array to create the empty geometry. Elements may be empty `Geometry`s, but not `null`s.

If construction succeed the created object will take ownership of newGeoms vector and elements.

If construction fails "IllegalArgumentException *" is thrown and it is your responsibility to delete newGeoms vector and content.

## Member Function Documentation

CoordinateSequence * geos::GeometryCollection::getCoordinates | ( | void |  | ) | const`[virtual]`

Collects all coordinates of all subgeometries into a CoordinateSequence.

Note that the returned coordinates are copies, so you want be able to use them to modify the geometries in place. Also you'll need to delete the CoordinateSequence when finished using it.

Returns:
  the collected coordinates

Implements geos::Geometry.

double geos::GeometryCollection::getArea | ( |  | ) | const`[virtual]`

Returns the total area of this collection.

Returns:
  the area of this collection

Reimplemented from geos::Geometry.

double geos::GeometryCollection::getLength | ( |  | ) | const`[virtual]`

Returns the total length of this collection.

Returns:
  the total length of this collection

Reimplemented from geos::Geometry.

The documentation for this class was generated from the following files:

- geom.h
- GeometryCollection.cpp